Package ghidra.util.database

# Class DBCachedObjectStoreFactory.LongArrayDBFieldCodec<OT extends DBAnnotatedObject>

java.lang.Object
ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec<long[],OT,BinaryField>
ghidra.util.database.DBCachedObjectStoreFactory.LongArrayDBFieldCodec<OT>

All Implemented Interfaces:
  `DBCachedObjectStoreFactory.DBFieldCodec<long[],OT,BinaryField>`

Enclosing class:
  `DBCachedObjectStoreFactory`

public static class DBCachedObjectStoreFactory.LongArrayDBFieldCodec<OT extends DBAnnotatedObject> extends DBCachedObjectStoreFactory.AbstractDBFieldCodec<long[],OT,BinaryField>
The built-in codec for `long[]`

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `column, field, fieldType, objectType, valueType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongArrayDBFieldCodec(Class<OT> objectType, Field field, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected long[]`
  `decode(byte[] enc)`
  `protected void`
  `doLoad(OT obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `protected void`
  `doStore(OT obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `protected byte[]`
  `encode(long[] val)`
  `void`
  `store(long[] value, BinaryField f)`
  Encode the given field value into the given field

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `getFieldType, getObjectType, getValue, getValueType, load, setValue, store`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec

  `encodeField`

- ## Constructor Details

  - ### LongArrayDBFieldCodec

    public LongArrayDBFieldCodec(Class<OT> objectType, Field field, int column)

- ## Method Details

  - ### encode

    protected byte[] encode(long[] val)

  - ### decode

    protected long[] decode(byte[] enc)

  - ### doStore

    protected void doStore(OT obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doStore` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<long[],OT extends DBAnnotatedObject,BinaryField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`

  - ### store

    public void store(long[] value, BinaryField f)
    Description copied from interface: `DBCachedObjectStoreFactory.DBFieldCodec`
    Encode the given field value into the given field
    Parameters:
      `value` - the value
      `f` - the field

  - ### doLoad

    protected void doLoad(OT obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doLoad` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<long[],OT extends DBAnnotatedObject,BinaryField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`